9.3 9.4 9.5 9.6 10 11
问题报告 纠错本页面

15.6. 支持的平台

如果代码包含工作平台的规定,且最近通过回归测试在该平台上进行了验证, 那么该平台被认为是由PostgreSQL开发社区支持的。 目前,大部分的平台兼容性的测试在PostgreSQL Build Farm上的测试机中自动完成。 如果您有兴趣在一个bulid farm中未出现的平台上使用PostgreSQL, 且在该平台上代码能够工作或者通过其他手段使它能够工作时,我们强烈建议你建立一个bulid farm成员机器, 这样可以保证持续兼容性。

在一般情况下,可以期待PostgreSQL工作在这些架构的CPU上:x86, x86_64, IA64, PowerPC, PowerPC 64, S/390, S/390x, Sparc, Sparc 64, Alpha, ARM, MIPS, MIPSEL, M68K, 和PA-RISC。存在M32R和VAX代码的支持, 但这些架构上尚未测试过。 往往可以通过配置--disable-spinlocks编译不支持的CPU类型, 但性能会很差。

可以期待PostgreSQL工作在这些操作系统上: Linux(所有近期发行的),Windows(Win2000 SP4和更高版本), FreeBSD, OpenBSD, NetBSD, OS X, AIX, HP/UX, Solaris, Tru64 Unix, 和UnixWare。其它类Unix系统上也可以工作,但目前尚未被测试。 在大多数情况下,一个特定的操作系统支持的所有的CPU架构都能够工作。 查看第 15.7 节,看是否 有声明您的操作系统的信息,特别是如果使用的是旧系统。

如果你在某个平台上遇到了安装问题,且根据近期的build farm验证结果,该平台被验证为支持的情况下, 请向报告问题。 如果你有兴趣移植PostgreSQL到一个新的平台, 是讨论这类问题的合适地方。